Bug 29760 - Show patron category in Holds queue
Summary: Show patron category in Holds queue
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-22 21:52 UTC by Sara Brown
Modified: 2022-02-25 13:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Adds the patron category as a new column to Circulation > Holds queue.
Version(s) released in:
22.05.00


Attachments
Bug 29760: Show patron category on view_holdsqueue.tt (1.38 KB, patch)
2022-01-06 01:23 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29760: Add patron category column to view_holdsqueue.tt (2.85 KB, patch)
2022-01-12 16:15 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29760: Add patron category column to view_holdsqueue.tt (2.91 KB, patch)
2022-01-13 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29760: Add patron category column to view_holdsqueue.tt (2.97 KB, patch)
2022-02-13 14:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29760: (follow-up) Fix class name (1.33 KB, patch)
2022-02-15 14:53 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sara Brown 2021-12-22 21:52:32 UTC
It would be useful to be able to see a patron's category in the Holds Queue. This would help libraries avoid filling holds placed on bibs with a mix of item types when the patron has 0 allowed holds for that specific item's item type, as in bugs 11350 and 23172 (reservesallowed = 0, but the patron isn't ineligible per hold_allowed).
Comment 1 Katrin Fischer 2022-01-02 15:31:26 UTC
+1
Comment 2 Lucas Gass 2022-01-06 01:23:01 UTC
Created attachment 129047 [details] [review]
Bug 29760: Show patron category on view_holdsqueue.tt

To test:
1. Have some holds and build the holds queue.
2. Go to view_holdsqueue.tt, there is no patron category
3. Apply patch
4. Look again, you can now see the patron category in the patron column
Comment 3 The Minh Luong 2022-01-07 21:48:50 UTC
(In reply to Lucas Gass from comment #2)
> Created attachment 129047 [details] [review] [review]
> Bug 29760: Show patron category on view_holdsqueue.tt
> 
> To test:
> 1. Have some holds and build the holds queue.
> 2. Go to view_holdsqueue.tt, there is no patron category
> 3. Apply patch
> 4. Look again, you can now see the patron category in the patron column

I tested and the patch seems to work according to the test plan. However, I think that it would be better to have a Patron Category column, instead of having the patron category inside the patron column.
Comment 4 Lucas Gass 2022-01-12 16:15:39 UTC
Created attachment 129354 [details] [review]
Bug 29760: Add patron category column to view_holdsqueue.tt

To test:
1. Have some holds and build the holds queue.
2. Go to view_holdsqueue.tt, there is no patron category column
3. Apply patch
4. Look again, there should now be a column for 'Patron category' showing both the caterory name and the category code.
5. Make sure you can sort and filter by this new column
6. Go to table settings and make sure you can properly hide this column and all other columns in the Holds queue.
Comment 5 Owen Leonard 2022-01-13 15:41:12 UTC
Created attachment 129414 [details] [review]
Bug 29760: Add patron category column to view_holdsqueue.tt

To test:
1. Have some holds and build the holds queue.
2. Go to view_holdsqueue.tt, there is no patron category column
3. Apply patch
4. Look again, there should now be a column for 'Patron category'
   showing both the caterory name and the category code.
5. Make sure you can sort and filter by this new column
6. Go to table settings and make sure you can properly hide this column
   and all other columns in the Holds queue.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Katrin Fischer 2022-02-13 14:47:57 UTC
Created attachment 130541 [details] [review]
Bug 29760: Add patron category column to view_holdsqueue.tt

To test:
1. Have some holds and build the holds queue.
2. Go to view_holdsqueue.tt, there is no patron category column
3. Apply patch
4. Look again, there should now be a column for 'Patron category'
   showing both the caterory name and the category code.
5. Make sure you can sort and filter by this new column
6. Go to table settings and make sure you can properly hide this column
   and all other columns in the Holds queue.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Fridolin Somers 2022-02-15 06:18:09 UTC
I see HTML classes are :
+        <th class="hq-patroncategory">Patron category</th>
+        <td class="hq-patroncategory">
+            <td class="hq-patron-category">...

Is third one with a dash on purpose ?
Comment 8 Lucas Gass 2022-02-15 14:50:55 UTC
(In reply to Fridolin Somers from comment #7)
> I see HTML classes are :
> +        <th class="hq-patroncategory">Patron category</th>
> +        <td class="hq-patroncategory">
> +            <td class="hq-patron-category">...
> 
> Is third one with a dash on purpose ?

I think that was a mistake, I will provide a follow-up.
Comment 9 Lucas Gass 2022-02-15 14:53:52 UTC
Created attachment 130619 [details] [review]
Bug 29760: (follow-up) Fix class name
Comment 10 Fridolin Somers 2022-02-23 08:28:09 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄